## Class validator

zeep::xml::doctype::validator

## Synopsis

    // In header: <zeep/xml/doctype.hpp>

    class validator {
    public:
      // construct/copy/destruct
      (content_spec_base *);
      (element_ *);
      (validator &) = ;
      validator & (validator &) = ;
      ~();

      // public member functions
       ();
       () ;
       ();
    };

## Description

### `validator` public construct/copy/destruct

1.     (content_spec_base * allowed);

2.     (element_ * e);

3.     (validator & other) = ;

4.     validator & (validator & other) = ;

5.     ~();

### `validator` public member functions

1.      ( name);

2.      () ;

3.      ();